Skip to main content
GET
/
audience
/
{audience_id}
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

audience_id = "597b3dde-9169-4017-800d-f97a5fabebe3"

response = client.audience.get(audience_id)
print(response)
{
  "audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
  "audience_name": "Demo Audience",
  "audience_description": "Leads from webinar",
  "created_by_user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRt",
  "created_at": "2026-05-05 08:26:09",
  "contacts": [
    {
      "first_name": "Ava",
      "last_name": "Patel",
      "name": "Ava Patel",
      "email": "ava.patel@example.com",
      "country_code": "+1",
      "phone_number": "5551234567",
      "phoneNumber": "+1 5551234567",
      "id": "69f9a9a1c2647606b8c43154",
      "salutation": ""
    }
  ],
  "total_contacts": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Path Parameters

audience_id
string
default:597b3dde-9169-4017-800d-f97a5fabebe3
required

Audience ID

Example:

"597b3dde-9169-4017-800d-f97a5fabebe3"

Response

Audience details

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.